Ogre::AnimationContainer Class Reference
Animation

An animation container interface, which allows generic access to sibling animations. More...

`#include <OgreAnimation.h>`

Inheritance diagram for Ogre::AnimationContainer:
[legend]

List of all members.

## Public Member Functions

virtual unsigned short | getNumAnimations (void) const =0
| Gets the number of animations in this container.
virtual Animation * | getAnimation (unsigned short index) const =0
| Retrieve an animation by index.
virtual Animation * | getAnimation (const String &name) const =0
| Retrieve an animation by name.
virtual Animation * | createAnimation (const String &name, Real length)=0
| Create a new animation with a given length owned by this container.
virtual bool | hasAnimation (const String &name) const =0
| Returns whether this object contains the named animation.
virtual void | removeAnimation (const String &name)=0
| Removes an Animation from this container.

## Detailed Description

An animation container interface, which allows generic access to sibling animations.

Remarks:
  Because Animation instances can be held by different kinds of classes, and there are sometimes instances when you need to reference other Animation instances within the same container, this class allows generic access to named animations within that container, whatever it may be.

Definition at line 57 of file OgreAnimation.h.

## Member Function Documentation

virtual Animation* Ogre::AnimationContainer::createAnimation | ( | const String & | name,
|  | Real | length
| ) |  | `[pure virtual]`

Create a new animation with a given length owned by this container.

Implemented in Ogre::Mesh, Ogre::Skeleton, and Ogre::SkeletonInstance.

virtual Animation* Ogre::AnimationContainer::getAnimation | ( | unsigned short | index | ) | const`[pure virtual]`

Retrieve an animation by index.

Implemented in Ogre::Mesh, Ogre::Skeleton, and Ogre::SkeletonInstance.

virtual Animation* Ogre::AnimationContainer::getAnimation | ( | const String & | name | ) | const`[pure virtual]`

Retrieve an animation by name.

Implemented in Ogre::Mesh, and Ogre::Skeleton.

virtual unsigned short Ogre::AnimationContainer::getNumAnimations | ( | void |  | ) | const`[pure virtual]`

Gets the number of animations in this container.

Implemented in Ogre::Mesh, Ogre::Skeleton, and Ogre::SkeletonInstance.

virtual bool Ogre::AnimationContainer::hasAnimation | ( | const String & | name | ) | const`[pure virtual]`

Returns whether this object contains the named animation.

Implemented in Ogre::Mesh, and Ogre::Skeleton.

virtual void Ogre::AnimationContainer::removeAnimation | ( | const String & | name | ) | `[pure virtual]`

Removes an Animation from this container.

Implemented in Ogre::Mesh, Ogre::Skeleton, and Ogre::SkeletonInstance.

The documentation for this class was generated from the following file:

- OgreAnimation.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:25